Subject: Re: Unsigned widening casts of binary "not" operations..

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 22 Apr 2013 17:32:22 -0700

On 04/22/2013 05:15 PM, Linus Torvalds wrote:
> 
> (It turns out that any use of "UINT_MAX" for a "long" value also results in
> this warning, because we define it as "~0ul", so there are other cases of
> spurious things where we *intentionally* drop the high bits).
> 

I'm responsible for this particular piece of drain bramage... we should
probably just open-code the correct types conditional on the sizes like
userspace does.

	-hpa